Package ghidra.app.util.bin.format.macho

# Class SectionNames

java.lang.Object
ghidra.app.util.bin.format.macho.SectionNames

public final class SectionNames extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CHAIN_STARTS`
  Section containing dyld_chained_starts_offsets structure
  `static final String`
  `DATA`
  the real initialized data section no padding, no bss overlap
  `static final String`
  `DATA_CONST`
  Initialized relocatable constant variables
  `static final String`
  `DATA_DYLD`
  Place holder section used by dynamic linker
  `static final String`
  `DATA_LA_SYMBOL_PTR`
  Lazy symbol pointers, which are indirect references to imported functions
  `static final String`
  `DATA_MOD_INIT_FUNC`
  Module initialization functions.
  `static final String`
  `DATA_MOD_TERM_FUNC`
  Module termination functions
  `static final String`
  `DATA_NL_SYMBOL_PTR`
  Non-lazy symbol pointers, which are indirect references to imported functions
  `static final String`
  `IMPORT_JUMP_TABLE`
  Stubs for calls to functions in a dynamic library
  `static final String`
  `IMPORT_POINTERS`
  Non-lazy symbol pointers
  `static final String`
  `OBJC_MODULES`
  module information
  `static final String`
  `OBJC_REFS`
  string table
  `static final String`
  `OBJC_STRINGS`
  string table
  `static final String`
  `OBJC_SYMBOLS`
  symbol table
  `static final String`
  `PROGRAM_VARS`
  Section dedicated to holding global program variables
  `static final String`
  `SECT_BSS`
  the real uninitialized data section no padding
  `static final String`
  `SECT_COMMON`
  the section common symbols are allocated in by the link editor
  `static final String`
  `SECT_GOT`
  global offset table section
  `static final String`
  `TEXT`
  the real text part of the text section no headers, and no padding
  `static final String`
  `TEXT_CONST`
  Initialized constant variables
  `static final String`
  `TEXT_CSTRING`
  Constant null-terminated C strings
  `static final String`
  `TEXT_FVMLIB_INIT0`
  the fvmlib initialization section
  `static final String`
  `TEXT_FVMLIB_INIT1`
  the section following the fvmlib initialization section
  `static final String`
  `TEXT_LITERAL4`
  4-byte literal values.
  `static final String`
  `TEXT_LITERAL8`
  8-byte literal values.
  `static final String`
  `TEXT_PICSYMBOL_STUB`
  Position-independent indirect symbol stubs
  `static final String`
  `TEXT_SYMBOL_STUB`
  Indirect symbol stubs
  `static final String`
  `THREAD_STARTS`
  Section containing chained fixups

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SectionNames()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TEXT

    public static final String TEXT
    the real text part of the text section no headers, and no padding
    See Also:
      - Constant Field Values

  - ### TEXT_CSTRING

    public static final String TEXT_CSTRING
    Constant null-terminated C strings
    See Also:
      - Constant Field Values

  - ### TEXT_PICSYMBOL_STUB

    public static final String TEXT_PICSYMBOL_STUB
    Position-independent indirect symbol stubs
    See Also:
      - Constant Field Values

  - ### TEXT_SYMBOL_STUB

    public static final String TEXT_SYMBOL_STUB
    Indirect symbol stubs
    See Also:
      - Constant Field Values

  - ### TEXT_CONST

    public static final String TEXT_CONST
    Initialized constant variables
    See Also:
      - Constant Field Values

  - ### TEXT_LITERAL4

    public static final String TEXT_LITERAL4
    4-byte literal values. single-precision floating pointer constants
    See Also:
      - Constant Field Values

  - ### TEXT_LITERAL8

    public static final String TEXT_LITERAL8
    8-byte literal values. double-precision floating pointer constants
    See Also:
      - Constant Field Values

  - ### TEXT_FVMLIB_INIT0

    public static final String TEXT_FVMLIB_INIT0
    the fvmlib initialization section
    See Also:
      - Constant Field Values

  - ### TEXT_FVMLIB_INIT1

    public static final String TEXT_FVMLIB_INIT1
    the section following the fvmlib initialization section
    See Also:
      - Constant Field Values

  - ### DATA

    public static final String DATA
    the real initialized data section no padding, no bss overlap
    See Also:
      - Constant Field Values

  - ### DATA_LA_SYMBOL_PTR

    public static final String DATA_LA_SYMBOL_PTR
    Lazy symbol pointers, which are indirect references to imported functions
    See Also:
      - Constant Field Values

  - ### DATA_NL_SYMBOL_PTR

    public static final String DATA_NL_SYMBOL_PTR
    Non-lazy symbol pointers, which are indirect references to imported functions
    See Also:
      - Constant Field Values

  - ### DATA_DYLD

    public static final String DATA_DYLD
    Place holder section used by dynamic linker
    See Also:
      - Constant Field Values

  - ### DATA_CONST

    public static final String DATA_CONST
    Initialized relocatable constant variables
    See Also:
      - Constant Field Values

  - ### DATA_MOD_INIT_FUNC

    public static final String DATA_MOD_INIT_FUNC
    Module initialization functions. C++ places static constructors here.
    See Also:
      - Constant Field Values

  - ### DATA_MOD_TERM_FUNC

    public static final String DATA_MOD_TERM_FUNC
    Module termination functions
    See Also:
      - Constant Field Values

  - ### SECT_BSS

    public static final String SECT_BSS
    the real uninitialized data section no padding
    See Also:
      - Constant Field Values

  - ### SECT_COMMON

    public static final String SECT_COMMON
    the section common symbols are allocated in by the link editor
    See Also:
      - Constant Field Values

  - ### SECT_GOT

    public static final String SECT_GOT
    global offset table section
    See Also:
      - Constant Field Values

  - ### OBJC_SYMBOLS

    public static final String OBJC_SYMBOLS
    symbol table
    See Also:
      - Constant Field Values

  - ### OBJC_MODULES

    public static final String OBJC_MODULES
    module information
    See Also:
      - Constant Field Values

  - ### OBJC_STRINGS

    public static final String OBJC_STRINGS
    string table
    See Also:
      - Constant Field Values

  - ### OBJC_REFS

    public static final String OBJC_REFS
    string table
    See Also:
      - Constant Field Values

  - ### IMPORT_JUMP_TABLE

    public static final String IMPORT_JUMP_TABLE
    Stubs for calls to functions in a dynamic library
    See Also:
      - Constant Field Values

  - ### IMPORT_POINTERS

    public static final String IMPORT_POINTERS
    Non-lazy symbol pointers
    See Also:
      - Constant Field Values

  - ### PROGRAM_VARS

    public static final String PROGRAM_VARS
    Section dedicated to holding global program variables
    See Also:
      - Constant Field Values

  - ### CHAIN_STARTS

    public static final String CHAIN_STARTS
    Section containing dyld_chained_starts_offsets structure
    See Also:
      - Constant Field Values

  - ### THREAD_STARTS

    public static final String THREAD_STARTS
    Section containing chained fixups
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SectionNames

    public SectionNames()